GET /organizations/{id}

GET /organizations/{id}

Retrieve data on an organization

Retrieve the latest data on an organization already registered using POST /organizations.

Code Examples

API Key:
Language:

API Explorer

GET https://api.ditchcarbon.com/organizations/{id}

Authentication

The ID of the organization.

ISO three-letter currency code to provide revenue and emission factor in.

Send a request to see the response

Parameters

Name In Type Required Description
id path integer The ID of the organization.
currency query string ISO three-letter currency code to provide revenue and emission factor in.

Responses

200 Organization data

Content type: application/json

Schema: Organization

Response Fields

Field Type Description
id number Unique DitchCarbon identifier for an organization
name string Name of the organization
hq_region string ISO 3166 two-letter country code for the country in which a business's registered headquarters are located.
hq_subregion string ISO 3166-2 two-letter code of the organization's headquarters subregion (for example, Ohio would be OH).
industry Industry
website string The organization's website or email address. e.g. https://example.com or user@example.com
external_id string External id provided by a customer or a 3rd party provider such as DUNS or ISIN
status string The status of the organization's data. All statuses except synced and errored mean the research is still in progress. synced means the research is complete. errored means there was an error during the research.
organization_relationship_type string The type of relationship this organization has (e.g., "ultimate parent", "subsidiary")
has_relevant_upstream boolean Whether the organization has disclosed relevant upstream categories in any year
matching_organization object
performances array
sources array An array of sources that DitchCarbon used to create the response.
score number DitchCarbon assessed score from 0 to 1, 0 being the worst and 1 being the best. See calculation methodology at https://ditchcarbon.com/calculation-methodologies/
industry_score_percentile number DitchCarbon assessed percentile of the organization's industry score. A value of 80 means the organization is in the 80th percentile.
industry_confidence string DitchCarbon confidence rating. Values can be: low, medium or high
industry_rank string DitchCarbon assessed rank of the organization's industry's intensity. Values can be: very_high, high, medium, low, very_low, unknown
region_rank string DitchCarbon assessed rank of the organization's region. Values can be: very_high, high, medium, low, very_low, unknown
related_environmental_report_status string Values can be: processing, found, not_found
cdp object
sbti object
un object
ecovadis object
climate_pledge object
document_reduction_targets array Reduction targets automatically extracted from the organization's public documents.
sbti_reduction_targets array Reduction targets declared to and validated by the Science Based Targets initiative (SBTi).

Example Response

{
  "id": 123,
  "name": "string",
  "hq_region": "string",
  "hq_subregion": "string",
  "industry": {
    "id": "string",
    "name": "string",
    "mean_score": 123,
    "performances": [
      "..."
    ]
  },
  "website": "string",
  "external_id": "string",
  "status": "created",
  "organization_relationship_type": "string",
  "has_relevant_upstream": true,
  "matching_organization": {
    "id": 123,
    "link": "string",
    "name": "string",
    "names": [
      {
        "value": "..."
      }
    ],
    "websites": [
      {
        "value": "..."
      }
    ],
    "hq_region": "string",
    "hq_subregion": "string",
    "industry": {
      "id": 123,
      "name": "string"
    },
    "tickers": [
      {
        "exchange": "...",
        "symbol": "..."
      }
    ],
    "status": "created"
  },
  "performances": [
    {
      "year": "...",
      "region": "...",
      "emission_factor": "...",
      "total_upstream_emission_factor": "...",
      "scope_1_and_2_emission_factor": "...",
      "revenue_currency": "...",
      "has_revenue": "...",
      "revenue": "...",
      "emissions": "...",
      "production_emission_factors": "...",
      "documents": "..."
    }
  ],
  "sources": [
    {
      "url": "string",
      "mirror_url": "string"
    }
  ],
  "score": 123,
  "industry_score_percentile": 123,
  "industry_confidence": "low",
  "industry_rank": "very_high",
  "region_rank": "very_high",
  "related_environmental_report_status": "processing",
  "cdp": {
    "last_retrieved_at": "2026-05-21",
    "is_listed": true,
    "url": "string",
    "inherited": true,
    "inherited_from": {
      "organization_relationship_type": "string",
      "legal_name": "string"
    }
  },
  "sbti": {
    "last_retrieved_at": "2026-05-21",
    "inherited": true,
    "inherited_from": {
      "organization_relationship_type": "string",
      "legal_name": "string"
    },
    "data": [
      {
        "created_at": "...",
        "retrieved_at": "...",
        "near_term": "...",
        "long_term": "...",
        "net_zero": "...",
        "business_ambition_1_5": "...",
        "target_detail": "..."
      }
    ]
  },
  "un": {
    "last_retrieved_at": "2026-05-21",
    "url": "string",
    "initiatives": [
      {
        "name": "...",
        "slug": "..."
      }
    ]
  },
  "ecovadis": {
    "last_retrieved_at": "2026-05-21",
    "has_rating": true,
    "score": 123,
    "medal": "string",
    "url": "string",
    "inherited": true,
    "inherited_from": {
      "organization_relationship_type": "string",
      "legal_name": "string"
    },
    "performances": [
      {
        "id": "...",
        "year": "...",
        "medal": "...",
        "text": "...",
        "url": "...",
        "document_id": "...",
        "mirror_url": "..."
      }
    ]
  },
  "climate_pledge": {
    "signed": true,
    "signed_at": "2026-05-21",
    "link": "string"
  },
  "document_reduction_targets": [
    {
      "id": "...",
      "classification": "...",
      "timeframe": "...",
      "scope": "...",
      "start_year": "...",
      "end_year": "...",
      "overall_reduction_percentage": "...",
      "text": "...",
      "source_url": "...",
      "permanent_mirror_url": "...",
      "page": "...",
      "on_track_two_year": "...",
      "on_track_five_year": "..."
    }
  ],
  "sbti_reduction_targets": [
    {
      "id": "...",
      "classification": "...",
      "timeframe": "...",
      "scope": "...",
      "start_year": "...",
      "end_year": "...",
      "overall_reduction_percentage": "...",
      "text": "...",
      "source_url": "...",
      "permanent_mirror_url": "...",
      "page": "...",
      "on_track_two_year": "...",
      "on_track_five_year": "..."
    }
  ]
}

404 Organizations Not Found

Content type: application/json

Response Fields

Field Type Description
status integer
title string
detail string
id string

Example Response

{
  "status": 123,
  "title": "string",
  "detail": "string",
  "id": "string"
}
GET /organizations/{id}